Bug 428686 - Review Request: tex-simplecv - latex class for writing curricula vitae
Review Request: tex-simplecv - latex class for writing curricula vitae
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 428526
  Show dependency treegraph
 
Reported: 2008-01-14 11:06 EST by José Matos
Modified: 2008-07-17 10:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 10:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description José Matos 2008-01-14 11:06:09 EST
Spec URL: http://jamatos.fedorapeople.org/tex-simplecv.spec
SRPM URL: http://jamatos.fedorapeople.org/tex-simplecv-1.6-1.src.rpm
Description: The simplecv document class is intended to provide a simple yet
elegant way to write your curriculum vitae (resume). This is a
repackaging of the |cv| class that has been available with LyX for a
long time. The change of name has been made necessary by the existence
of another |cv| class on CTAN.

This package is needed since lyx no longer carries this package and users of
previous versions of lyx may use documents that require it (bug #428526).
Comment 1 Patrice Dumas 2008-01-14 14:45:55 EST
README should be in %doc. 

Also the source may change while the source name remains the same.
I don't think this is an issue, but you may want to rename it 
anyway to avoid ambiguities.
Comment 2 Patrice Dumas 2008-01-14 14:56:58 EST
Also, and more importantly, the build is missing... The 
.dtx and .ins are installed, but not the .cls...

A simple

latex simplecv.ins

should do.
Comment 3 José Matos 2008-01-14 18:27:29 EST
You are right, of course, on both accounts. :-)

I have uploaded a new release (2) to http://jamatos.fedorapeople.org/ with 
these issues fixed. :-)
Comment 4 Patrice Dumas 2008-01-15 04:00:12 EST
The .cls should be the only installed file.
Comment 5 José Matos 2008-01-15 04:18:50 EST
I know that, although there are precedents. :-)

See /usr/share/texmf/ptex/platex/base/ as an example.

Initially I thought about creating a subpackage that would require tetex-doc 
(or texlive-doc) and would install the processed dtx file in the same 
hierarchy under tetex-doc directories, in this case:

/usr/share/texmf/doc/latex/simplecv/

What do you think?
Comment 6 Patrice Dumas 2008-01-15 05:06:08 EST
I don't think it is right. The installed file should be the 
pdf or dvi file. So indeed you need to do something along

latex simplecv.dtx
or
pdflatex simplecv.dtx

Then there is the issue about what to do with the .pdf and/or
.dvi file generated, put them in %doc or in 

/usr/share/texmf/doc/latex/simplecv/

I don't have an answer for that. Maybe worth asking on the 
packaging list.
Comment 7 José Matos 2008-01-15 05:28:10 EST
(In reply to comment #6)
> I don't think it is right. The installed file should be the 
> pdf or dvi file.

  My fault for not explaining this but believe it, or not, what I wrote above 
meant exactly this. :-)

>So indeed you need to do something along
> 
> latex simplecv.dtx
> or
> pdflatex simplecv.dtx
> 
> Then there is the issue about what to do with the .pdf and/or
> .dvi file generated, put them in %doc or in 
> 
> /usr/share/texmf/doc/latex/simplecv/
> 
> I don't have an answer for that. Maybe worth asking on the 
> packaging list.

  That was my question. :-)

  Also sooner or later we need to develop some guidelines for (la)tex 
packages.
Comment 8 José Matos 2008-01-15 11:20:23 EST
OK, I have created a documentation subpackage.
The new release (3) has a new doc subpackage where the documentation is.

See http://jamatos.fedorapeople.org/
Comment 9 Patrice Dumas 2008-01-21 17:50:10 EST
Looks like the doc location is agreed. Shouldn't texhash 
be called for -doc too?
Comment 10 Jason Tibbitts 2008-04-05 01:29:42 EDT
Is anything happening here?  Jose, dod you have a response to the question
Patrice posed above?

Comment 11 José Matos 2008-04-14 08:10:40 EDT
Other than he is right? ;-)

I agree that texhash should be run for -doc. :-)
Comment 12 José Matos 2008-04-15 04:28:53 EDT
I added the texhash for doc too in release 4.
See http://jamatos.fedorapeople.org/
Comment 13 Patrice Dumas 2008-04-28 04:35:38 EDT
I the %package doc, I think it should be:

Requires:  tetex-doc

and not BuildRequires.
Comment 14 Patrice Dumas 2008-04-28 04:36:56 EDT
Also I think that the doc subpackage doesn't need the main package,
one may want to study the doc without actually installing the
package.
Comment 15 Jason Tibbitts 2008-06-18 20:13:38 EDT
Anything happening with this package?
Comment 16 Jason Tibbitts 2008-06-25 18:20:33 EDT
No response; closing.
Comment 17 José Matos 2008-06-26 10:28:45 EDT
The changes are trivial and in this case the use of the bugzilla interface
becomes cumbersome. :-(

On the other hand it is the end of the second semester here and so life has been
really busy here. :-(

I would like to reopen this report for several reasons, first because it is need
in lyx and second because this should allow us to gather enough experience and
insight as to draft package guidelines for tex packages and to ease the review
of future packages.
Comment 18 José Matos 2008-06-26 11:54:20 EDT
* Thu Jun 26 2008 José Matos <jamatos[AT]fc.up.pt> - 1.6-5
- doc subpackage requires tetex-doc and no longer requires the main package.

See the package and the spec file in:
http://jamatos.fedorapeople.org/
Comment 19 Jason Tibbitts 2008-06-26 20:00:09 EDT
Sorry for closing, but sometimes when there's no response to pings and NEEDINFO,
closing the ticket does the trick.

I note you're not using the dist tag; you package enough things in Fedora that I
assume you can deal with the issues, but lately even experienced packagers have
run into issues caused by not using the dist tag so I would still recommend it.
 But in the end it's your choice.

* source files match upstream:
   a011ab46e968e4dfabfa8b56a892b0ae05aaeb481c8c8d21dc0d82e2c213bacb  
   simplecv.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  tex-simplecv-1.6-5.noarch.rpm
   tex-simplecv = 1.6-5
  =
   /usr/bin/texhash
   tetex-latex

  tex-simplecv-doc-1.6-5.noarch.rpm
   tex-simplecv-doc = 1.6-5
  =
   /usr/bin/texhash
   tetex-doc

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (texhash).
* code, not content.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 20 Patrice Dumas 2008-06-29 06:32:52 EDT
(In reply to comment #19)

> I note you're not using the dist tag; you package enough things in Fedora that I
> assume you can deal with the issues, but lately even experienced packagers have
> run into issues caused by not using the dist tag so I would still recommend it.

What kind of issue? It seems to me that for noarch packages like this
one no %dist is better.


There is an issue of directory dependency for the -doc subpackage.
First it seems that the location should be
%{_texmf}/doc/latex/%{real_name}
Then for directory owning it should depend on texlive-texmf or on 
texlive-texmf-doc.

I don't think the tetex-doc dependency is strictly needed, however, contrary
to what I imply with Comment #13.

Last think is that maybe you could use tex(latex) instead of tetex-latex
if don't target F-8.
Comment 21 Jason Tibbitts 2008-06-29 12:16:37 EDT
You still have to keep the release tag different between branches; without dist
you just have to do it manually, and even experienced packagers have issues. 
Especially since you generally import into devel first, but its release has to
be higher than the others.

You are absolutely correct about the doc directory; _texmf/doc/tex doesn't
actually seem to exist in the distro.  I know I checked it, but 

I was trusting you on the tetex-doc dependency; I honestly don't understand why
it would be necessary, but I'm not TeX expert and I figured it wouldn't really
hurt anything.  I'm curious as to why you said it was necessary, though.  Also,
since you seem to know more about TeX than I, are the texhash scriptlets really
necessary for the -doc package?

Did the F8 tex packages grow the tex(latex) provides?  It doesn't look like it
from here.
Comment 22 Patrice Dumas 2008-06-29 14:24:24 EDT
(In reply to comment #21)
> You still have to keep the release tag different between branches; without dist
> you just have to do it manually, and even experienced packagers have issues. 
> Especially since you generally import into devel first, but its release has to
> be higher than the others.

Higher or equal. But indeed, it is less easy to bump in previous 
release without becoming greater than devel. However the dist really
doesn't makes sense here.


> You are absolutely correct about the doc directory; _texmf/doc/tex doesn't
> actually seem to exist in the distro.  I know I checked it, but  
> I was trusting you on the tetex-doc dependency; I honestly don't understand why
> it would be necessary, but I'm not TeX expert and I figured it wouldn't really
> hurt anything.  

(tetex/texlive)-doc holds the texdoc utility which can be used to view docs
in the texmf tree. texlive-texmf-doc holds most of the documentation,
and the _texmf/doc/latex is owned by texlive-texmf and texlive-texmf-doc.

So the texlive-texmf or texlive-texmf-doc is in my opinion needed for
directory owning. But (tetex/texlive)-doc is less needed, in my opinion, 
the doc can be viewed without texdoc.

>  Also,
> since you seem to know more about TeX than I, are the texhash scriptlets really
> necessary for the -doc package?

Yes, they are if in the texmf tree, since then they can be accessed
by texdoc which uses kpathsea to locate them.
 
> Did the F8 tex packages grow the tex(latex) provides?  It doesn't look like it
> from here.

No it doesn't, but I said in Comment #20 not to do it is F-8 is 
targeted.
Comment 23 Jason Tibbitts 2008-06-29 17:05:05 EDT
Honestly, I really meant different releases.  A package this small is not going
to get the manual copy and inheritance behavior, you cannot tag the exact same
EVR into two different branches, and if you could tag them you wouldn't be able
to build them, and if you could build them bodhi wouldn't let you issue updates
for them.  So I'm really not kidding, the releases will need to be different.

So that's why I just recommend using the dist tag and saving the trouble of
keeping the releases straight manually.  But it's up to the maintainer, of course.
Comment 24 Patrice Dumas 2008-06-29 17:41:17 EDT
I see. Shouldn't this be considered as a bug in our infrastructure?
Comment 25 José Matos 2008-07-08 13:05:05 EDT
After hearing (reading) all the arguments I will add the dist tag, after all
this package is quite small so the space factor is not an issue here.

Up on importing I will replace the dependency on texlive-texmf-doc to guarantee
the ownership of the doc directory.
Comment 26 José Matos 2008-07-08 13:10:36 EDT
New Package CVS Request
=======================
Package Name: tex-simplecv
Short Description: LaTeX class for writing curricula vitae
Owners: jamatos
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 27 Kevin Fenzi 2008-07-09 12:49:41 EDT
cvs done.
Comment 28 Fedora Update System 2008-07-16 10:23:22 EDT
tex-simplecv-1.6-6.fc9.1 has been submitted as an update for Fedora 9
Comment 29 Fedora Update System 2008-07-16 10:25:33 EDT
tex-simplecv-1.6-6.fc8 has been submitted as an update for Fedora 8
Comment 30 José Matos 2008-07-16 10:33:03 EDT
Packages built to all supported Fedora versions.
Comment 31 Fedora Update System 2008-07-17 10:14:07 EDT
tex-simplecv-1.6-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2008-07-17 10:18:34 EDT
tex-simplecv-1.6-6.fc9.1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.